1. [История денег](01_history_or_money.md)
2. [Экономика](02_economics.md)
3. [Другие активы](03_other_assets.md)
4. [Государство](04_state.md)
5. **Криптография и алгоритмы**
6. [История криптовалют](06_history_of_cryptocurrencies.md)
7. [Важные понятия](07_important_concepts.md)
8. [Другие понятия в крипте](08_other_concepts.md)



Криптография и алгоритмы
========================



Основные понятия
----------------

* Хэш-функции
* Симметричная криптография
  * Шифрование
* Асимметричная криптография
  * Шифрование
  * ЭЦП (электронная цифровая подпись)
* DHT (distributed hash table)



Другие важные понятия
---------------------

* PKI (public key infrastructure)
  * Certificate chain
* ToFU (trust on first use)
* Forward secrecy



Реализации
----------

* [SSL]/TLS v1.3
* SSH
* PGP (Pretty Good Privacy)
  * PGP (proprietary)
  * OpenPGP
  * GPG (GnuPG; free software)
* Bitcoin (and other cryptocurrencies)
